At least one base package must be specified - 已解决

java.lang.IllegalArgumentException: At least one base package must be specified。

@EnableAsync
@MapperScan("")
@EnableScheduling
@SpringBootApplication
public class DataApplication {

	public static void main(String[] args) {
		SpringApplication.run(DataApplication.class, args);
	}

}

resolved:

@MapperScan("com.example")

很多第三方组件默认不具备项目类路径识别能力,需指定类扫描范围。